Skip to main content
PUT
/
apps
/
annotations
/
{annotation_id}
Error
A valid request URL is required to generate request examples
{
  "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
  "question": "What is Dify?",
  "answer": "Dify is an open-source LLM application development platform for building AI-powered apps.",
  "hit_count": 5,
  "created_at": 1705407629
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

annotation_id
string<uuid>
required

The unique identifier of the annotation to update.

Body

application/json

Request body for updating an annotation.

question
string
required

Updated annotation question.

answer
string
required

Updated annotation answer.

Response

Annotation updated successfully.

id
string<uuid>

Unique annotation identifier.

question
string | null

Question text that triggers this annotation.

answer
string | null

Predefined answer returned when the annotation is matched.

hit_count
integer | null

Number of times this annotation has been matched and returned as a reply.

created_at
integer<int64> | null

Creation timestamp (Unix epoch seconds).